Package io.vertx.rxjava.servicediscovery.types

## Class EventBusService

- java.lang.Object
- - io.vertx.rxjava.servicediscovery.types.EventBusService

-     public class EventBusService
      extends Object

  for event bus services (service proxies). Consumers receive a service proxy to use the service.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static io.vertx.lang.rx.TypeArg<EventBusService>` | `__TYPE_ARG` |
    `static String` | `TYPE` | Name of the type.
    `static String` | `UNKNOWN` | Unknown type.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EventBusService​(EventBusService delegate)` |
    `EventBusService​(Object delegate)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Record` | `createRecord​(String name, String address, String classname)` | Creates a record based on the parameters.
    `static Record` | `createRecord​(String name, String address, String itf, JsonObject metadata)` | Sugar method to creates a record for this type.
    `boolean` | `equals​(Object o)` |
    `EventBusService` | `getDelegate()` |
    `static <T> Future<T>` | `getServiceProxy​(ServiceDiscovery discovery, java.util.function.Function<Record,​Boolean> filter, Class<T> clientClass)` | Lookup for a service record and if found, retrieve it and return the service object (used to consume the service).
    `static <T> Future<T>` | `getServiceProxy​(ServiceDiscovery discovery, java.util.function.Function<Record,​Boolean> filter, Class<T> clientClass, JsonObject conf)` | Lookup for a service record and if found, retrieve it and return the service object (used to consume the service).
    `static <T> Future<T>` | `getServiceProxyWithJsonFilter​(ServiceDiscovery discovery, JsonObject filter, Class<T> clientClass)` | Lookup for a service record and if found, retrieve it and return the service object (used to consume the service).
    `static <T> Future<T>` | `getServiceProxyWithJsonFilter​(ServiceDiscovery discovery, JsonObject filter, Class<T> clientClass, JsonObject conf)` | Lookup for a service record and if found, retrieve it and return the service object (used to consume the service).
    `int` | `hashCode()` |
    `static EventBusService` | `newInstance​(EventBusService arg)` |
    `static <T> Single<T>` | `rxGetServiceProxy​(ServiceDiscovery discovery, java.util.function.Function<Record,​Boolean> filter, Class<T> clientClass)` | Lookup for a service record and if found, retrieve it and return the service object (used to consume the service).
    `static <T> Single<T>` | `rxGetServiceProxy​(ServiceDiscovery discovery, java.util.function.Function<Record,​Boolean> filter, Class<T> clientClass, JsonObject conf)` | Lookup for a service record and if found, retrieve it and return the service object (used to consume the service).
    `static <T> Single<T>` | `rxGetServiceProxyWithJsonFilter​(ServiceDiscovery discovery, JsonObject filter, Class<T> clientClass)` | Lookup for a service record and if found, retrieve it and return the service object (used to consume the service).
    `static <T> Single<T>` | `rxGetServiceProxyWithJsonFilter​(ServiceDiscovery discovery, JsonObject filter, Class<T> clientClass, JsonObject conf)` | Lookup for a service record and if found, retrieve it and return the service object (used to consume the service).
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<EventBusService> __TYPE_ARG

    - #### UNKNOWN

          public static final String UNKNOWN

      Unknown type.
      See Also:
        Constant Field Values

    - #### TYPE

          public static final String TYPE

      Name of the type.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EventBusService

          public EventBusService​(EventBusService delegate)

    - #### EventBusService

          public EventBusService​(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public EventBusService getDelegate()

    - #### createRecord

          public static Record createRecord​(String name,
                                            String address,
                                            String itf,
                                            JsonObject metadata)

      Sugar method to creates a record for this type.

      The java interface is added to the metadata in the `service.interface` key.

      Parameters:
        `name` - the name of the service.
        `address` - the event bus address on which the service available
        `itf` - the Java interface (name)
        `metadata` - the metadata
      Returns:
        the created record

    - #### getServiceProxy

          public static <T> Future<T> getServiceProxy​(ServiceDiscovery discovery,
                                                      java.util.function.Function<Record,​Boolean> filter,
                                                      Class<T> clientClass)

      Lookup for a service record and if found, retrieve it and return the service object (used to consume the service). This is a convenient method to avoid explicit lookup and then retrieval of the service. This method requires to have the `clientClass` set with the expected set of client. This is important for usages not using Java so you can pass the expected type.
      Parameters:
        `discovery` - the service discovery
        `filter` - the filter
        `clientClass` - the client class
      Returns:
        a future notified with the client

    - #### rxGetServiceProxy

          public static <T> Single<T> rxGetServiceProxy​(ServiceDiscovery discovery,
                                                        java.util.function.Function<Record,​Boolean> filter,
                                                        Class<T> clientClass)

      Lookup for a service record and if found, retrieve it and return the service object (used to consume the service). This is a convenient method to avoid explicit lookup and then retrieval of the service. This method requires to have the `clientClass` set with the expected set of client. This is important for usages not using Java so you can pass the expected type.
      Parameters:
        `discovery` - the service discovery
        `filter` - the filter
        `clientClass` - the client class
      Returns:
        a future notified with the client

    - #### getServiceProxy

          public static <T> Future<T> getServiceProxy​(ServiceDiscovery discovery,
                                                      java.util.function.Function<Record,​Boolean> filter,
                                                      Class<T> clientClass,
                                                      JsonObject conf)

      Lookup for a service record and if found, retrieve it and return the service object (used to consume the service). This is a convenient method to avoid explicit lookup and then retrieval of the service. This method requires to have the `clientClass` set with the expected set of client. This is important for usages not using Java so you can pass the expected type.
      Parameters:
        `discovery` - the service discovery
        `filter` - the filter
        `clientClass` - the client class
        `conf` - the configuration for message delivery
      Returns:
        a future notified with the client

    - #### rxGetServiceProxy

          public static <T> Single<T> rxGetServiceProxy​(ServiceDiscovery discovery,
                                                        java.util.function.Function<Record,​Boolean> filter,
                                                        Class<T> clientClass,
                                                        JsonObject conf)

      Lookup for a service record and if found, retrieve it and return the service object (used to consume the service). This is a convenient method to avoid explicit lookup and then retrieval of the service. This method requires to have the `clientClass` set with the expected set of client. This is important for usages not using Java so you can pass the expected type.
      Parameters:
        `discovery` - the service discovery
        `filter` - the filter
        `clientClass` - the client class
        `conf` - the configuration for message delivery
      Returns:
        a future notified with the client

    - #### getServiceProxyWithJsonFilter

          public static <T> Future<T> getServiceProxyWithJsonFilter​(ServiceDiscovery discovery,
                                                                    JsonObject filter,
                                                                    Class<T> clientClass)

      Lookup for a service record and if found, retrieve it and return the service object (used to consume the service). This is a convenient method to avoid explicit lookup and then retrieval of the service. This method requires to have the `clientClass` set with the expected set of client. This is important for usages not using Java so you can pass the expected type.
      Parameters:
        `discovery` - the service discovery
        `filter` - the filter as json object
        `clientClass` - the client class
      Returns:
        a future notified with the client

    - #### rxGetServiceProxyWithJsonFilter

          public static <T> Single<T> rxGetServiceProxyWithJsonFilter​(ServiceDiscovery discovery,
                                                                      JsonObject filter,
                                                                      Class<T> clientClass)

      Lookup for a service record and if found, retrieve it and return the service object (used to consume the service). This is a convenient method to avoid explicit lookup and then retrieval of the service. This method requires to have the `clientClass` set with the expected set of client. This is important for usages not using Java so you can pass the expected type.
      Parameters:
        `discovery` - the service discovery
        `filter` - the filter as json object
        `clientClass` - the client class
      Returns:
        a future notified with the client

    - #### getServiceProxyWithJsonFilter

          public static <T> Future<T> getServiceProxyWithJsonFilter​(ServiceDiscovery discovery,
                                                                    JsonObject filter,
                                                                    Class<T> clientClass,
                                                                    JsonObject conf)

      Lookup for a service record and if found, retrieve it and return the service object (used to consume the service). This is a convenient method to avoid explicit lookup and then retrieval of the service. This method requires to have the `clientClass` set with the expected set of client. This is important for usages not using Java so you can pass the expected type.
      Parameters:
        `discovery` - the service discovery
        `filter` - the filter as json object
        `clientClass` - the client class
        `conf` - the configuration for message delivery
      Returns:
        a future notified with the client

    - #### rxGetServiceProxyWithJsonFilter

          public static <T> Single<T> rxGetServiceProxyWithJsonFilter​(ServiceDiscovery discovery,
                                                                      JsonObject filter,
                                                                      Class<T> clientClass,
                                                                      JsonObject conf)

      Lookup for a service record and if found, retrieve it and return the service object (used to consume the service). This is a convenient method to avoid explicit lookup and then retrieval of the service. This method requires to have the `clientClass` set with the expected set of client. This is important for usages not using Java so you can pass the expected type.
      Parameters:
        `discovery` - the service discovery
        `filter` - the filter as json object
        `clientClass` - the client class
        `conf` - the configuration for message delivery
      Returns:
        a future notified with the client

    - #### createRecord

          public static Record createRecord​(String name,
                                            String address,
                                            String classname)

      Creates a record based on the parameters.
      Parameters:
        `name` - the service name
        `address` - the address
        `classname` - the payload class
      Returns:
        the record

    - #### newInstance

          public static EventBusService newInstance​(EventBusService arg)